org.vertx.java.core.eventbus.impl

## Class PingMessage

- java.lang.Object
- - org.vertx.java.core.eventbus.Message<T>
  - - org.vertx.java.core.eventbus.impl.BaseMessage<java.lang.String>
    - - org.vertx.java.core.eventbus.impl.PingMessage

    public class PingMessage
    extends BaseMessage<java.lang.String>

### Field Summary

### Fields inherited from class org.vertx.java.core.eventbus.impl.BaseMessage

`address, bus, sender`

### Fields inherited from class org.vertx.java.core.eventbus.Message

`body, replyAddress`

### Constructor Summary

Constructors
Constructor and Description
`PingMessage(Buffer readBuff)`
`PingMessage(ServerID sender)`

### Method Summary

Methods
`protected Message` `copy()`
`protected BaseMessage` `createReplyMessage(java.lang.String reply)`
`protected int` `getBodyLength()`
`protected void` `readBody(int pos, Buffer readBuff)`
`protected byte` `type()`
`protected void` `writeBody(Buffer buff)`

### Methods inherited from class org.vertx.java.core.eventbus.impl.BaseMessage

`reply, write, writeString`

### Methods inherited from class org.vertx.java.core.eventbus.Message

`reply, reply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PingMessage

    public PingMessage(ServerID sender)

#### PingMessage

    public PingMessage(Buffer readBuff)

### Method Detail

#### type

    protected byte type()

#### readBody

    protected void readBody(int pos,
                Buffer readBuff)

Specified by:
  `readBody` in class `BaseMessage<java.lang.String>`

#### writeBody

    protected void writeBody(Buffer buff)

Specified by:
  `writeBody` in class `BaseMessage<java.lang.String>`

#### getBodyLength

    protected int getBodyLength()

Specified by:
  `getBodyLength` in class `BaseMessage<java.lang.String>`

#### copy

    protected Message copy()

Specified by:
  `copy` in class `BaseMessage<java.lang.String>`

#### createReplyMessage

    protected BaseMessage createReplyMessage(java.lang.String reply)

Specified by:
  `createReplyMessage` in class `BaseMessage<java.lang.String>`